/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.TajusteS;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface TajusteSFacadeLocal {

    void create(TajusteS tajusteS);

    void edit(TajusteS tajusteS);

    void remove(TajusteS tajusteS);

    TajusteS find(Object id);

    List<TajusteS> findAll();

    List<TajusteS> findRange(int[] range);

    int count();

    TajusteS FindTajus(String productoCodigo, String sucursalcodigo, String programaCodigo);

}
